#
# debug.py
# HaloDemoMemoryTemplate
#
# Created by nil on 12/17/08.
# Copyright (c) 2008. All rights reserved.
#

from Foundation import *

import time
import datetime
from VirtualMemory import *
from HaloDemoTrainer import *

def writeToLog(message):
	if message == None:
		message = "WARNING: writeToLog(None): message passed is None"
	writeStringToLog(datetime.datetime.now().strftime("%I:%M:%S:") + " " + message + "\n")
def writeToLogNoTime(message):
	if message == None:
		message = "WARNING: writeToLogNoTime(None): message passed is None"
	writeStringToLog(message + "\n")
	

def reloadPlayerList(admins):
	tempText = "Player List\n\nIndex\tName\t\n\n"
	for playerIndex in range(0,16):
		if readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * playerIndex) in admins:
			tempText = tempText + str(playerIndex + 1) + "\t\t" + readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * playerIndex) + " (admin)\n"
		else:
			tempText = tempText + str(playerIndex + 1) + "\t\t" + readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * playerIndex) + "\n"
	NSNotificationCenter.defaultCenter().postNotificationName_object_userInfo_("ReloadPlayersPLZ", None, NSDictionary.dictionaryWithObject_forKey_(tempText, "ReloadPlayers"))

def writeStringToLog(string):
	NSNotificationCenter.defaultCenter().postNotificationName_object_userInfo_("HDTDebugWrite", None, NSDictionary.dictionaryWithObject_forKey_(string, "HDTMessage"))