from VirtualMemory import *
from Debug import *
from GToggle import *
import random

EXECUTION_TIME_INTERVAL = 0.5

ASSASSIN_VERSION = 2
MOST_RECENT_MESSAGE_ADDRESS = 0x4BAD03C4
FIRST_STATIC_PLAYER_ADDRESS = 0x4BD7AFD0
SPEED_BONUS_OFFSET = 0x68
TEAM_INDEX_OFFSET = 0x1E
PLAYER_IS_DEAD_OFFSET = 0xAB
STATIC_PLAYER_SIZE = 0x200
PLAYER_IS_IN_VEHICLE = 0x25 				# Changes to 8 when a player exits a vehicle. Changes to 0 when a player enters a vehicle. Default is 0. Do not change this 8-bit integer. It will crash Halo Demo. This value is unused until I find a use.
MAX_HALO_PLAYERS = 16
OFFSET_TO_PLAYER_Z_COORDINATE = 0x64
PLAYER_OBJECT_ID_OFFSET = 0x32
OFFSET_TO_HALO_OBJECT_POINTER = 0x8
FIRST_TABLE_OBJECT_ADDRESS = 0x4BB206EC
RESPAWN_TIME_OFFSET = 0x2A
OBJECT_TABLE_SIZE = 12
INVALID_PLAYER_OBJECT_ID = 0xFFFF
OFFSET_TO_PLAYER_VEHICLE_ID = 0x11E



def execute(timeElapsed):
	global admins
	try:
		admins
	except:
		admins = [readUTF16String(FIRST_STATIC_PLAYER_ADDRESS)]
	if timeElapsed == 0: #initialized variables at start
		nukeTimer = -1.5
		torture = -1
		dedi = 0
		assistList = [-1.5,-1.5,-1.5,-1.5,-1.5,-1.5,-1.5,-1.5,-1.5,-1.5,-1.5,-1.5,-1.5,-1.5,-1.5,-1.5]
	global torture
	global dedi
	global nukeTimer
	global assistList
	for playerIndex in range(0,MAX_HALO_PLAYERS):
		writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * playerIndex+30+0xAA,0)		
		writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * playerIndex+38+0xAA,0)			
	if (torture != -1):
		try:
			playerObjectID = readUInt16(FIRST_STATIC_PLAYER_ADDRESS + PLAYER_OBJECT_ID_OFFSET + STATIC_PLAYER_SIZE * torture)
			writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * torture+30+0xAA,500)		
			writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * torture+38+0xAA,500)			
		except:
			pass
	if nukeTimer == 0:
		for playerIndex in range(0,MAX_HALO_PLAYERS):
			writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * playerIndex+30+0xAA,500)		
			writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * playerIndex+38+0xAA,500)		
	nukeTimer = nukeTimer - EXECUTION_TIME_INTERVAL
	sizeOfHostName = 0
	for playerIndex in range(0,MAX_HALO_PLAYERS):
		assistList[playerIndex] = assistList[playerIndex] - EXECUTION_TIME_INTERVAL
		if assistList[playerIndex] > 0:
			if assistList[playerIndex] > 0:
				writeUInt16(0x4BD7B07A + STATIC_PLAYER_SIZE * playerIndex - 0xA,assistList[playerIndex])
		else:
			if nukeTimer > 0:
				writeUInt16(0x4BD7B07A + STATIC_PLAYER_SIZE * playerIndex - 0xA,int(nukeTimer))
			else:
				if nukeTimer <= 0:
					writeUInt16(0x4BD7B07A + STATIC_PLAYER_SIZE * playerIndex - 0xA,0)
		if assistList[playerIndex] == 0:
			writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * playerIndex+30+0xAA,500)		
			writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * playerIndex+38+0xAA,500)
	theChatMessage = readUTF16String(MOST_RECENT_MESSAGE_ADDRESS)
	for hmmm in range(0,len(theChatMessage)):
		if theChatMessage[hmmm:hmmm + 2] == ": ":
			sizeOfHostName = len(theChatMessage[:hmmm])
	if dedi != 0:
		writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * 0+30+0xAA,500)		
		writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * 0+38+0xAA,500)
		if SV_HOST_GLITCH == 0:
			writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + TEAM_INDEX_OFFSET,random.randint(1000,10000))
		else:
			writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + TEAM_INDEX_OFFSET,0xFFFF)
		writeUInt16(FIRST_STATIC_PLAYER_ADDRESS+RESPAWN_TIME_OFFSET,0xFFFF)
	if (theChatMessage[sizeOfHostName + 2:sizeOfHostName + 13] == "sv_commands"):
		writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Printing List of commands in the Debug Window...")
		writeToLog("Commands:")
		writeToLogNoTime("sv_players - Obtain player indices & sv_checks all of them")
		writeToLogNoTime("sv_kill INDEX# - Kills a Player")
		writeToLogNoTime("sv_time INDEX# SECONDS# - Kills a Player in the future.")
		writeToLogNoTime("sv_spawn INDEX# - Spawns a Player - Will not work for nonexistant players.")
		writeToLogNoTime("sv_admin PLAYER# - Toggles adminship for a player - Can not use on host.")
		writeToLogNoTime("sv_check INDEX# - Checks for Living/Dead Players and Prints Spawn Countdown Timer")
		writeToLogNoTime("sv_pwn INDEX# - Repeatedly kills a player.")
		writeToLogNoTime("sv_host - Enables/Disables Host Player. In FFA games, the host will still appear in score screen but score will be \"QUIT\".")
		writeToLogNoTime("sv_switch PLAYER# TEAM# - Kills a player and switches their team.")
		writeToLogNoTime("sv_nuke SECONDS# - Kills all players in SECONDS. If seconds is undefined, it'll kill all players instantly. SECONDS caps at 32768 and cannot be negative. Use \"sv_nuke 0\" to cancel.")
	if (theChatMessage[:sizeOfHostName] in admins):
		if (theChatMessage[sizeOfHostName + 2:sizeOfHostName + 12] == "sv_players"):
			writeToLog("Listing Players...")
			writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Printing List of Players in the Debug Window...")
			for playerIndex in range(0,MAX_HALO_PLAYERS):
				pObjId = readUInt16(FIRST_STATIC_PLAYER_ADDRESS + PLAYER_OBJECT_ID_OFFSET + STATIC_PLAYER_SIZE * playerIndex)
				if pObjId != INVALID_PLAYER_OBJECT_ID and pObjId != 0:
					temp12376128763 = "Alive"
				else:
					temp12376128763 = "Dead"
				if readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * playerIndex) != "":
					writeToLogNoTime(str(playerIndex + 1) + " - Name: " + readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * playerIndex) + ", Team: " + str(readUInt16(FIRST_STATIC_PLAYER_ADDRESS + TEAM_INDEX_OFFSET + STATIC_PLAYER_SIZE * playerIndex)) + ", Status: " + temp12376128763 + ", Respawn Timer: " + str(readUInt16(FIRST_STATIC_PLAYER_ADDRESS + RESPAWN_TIME_OFFSET + STATIC_PLAYER_SIZE * playerIndex)))
		if (theChatMessage[sizeOfHostName + 2:] == "sv_host"):
			if dedi == 0:
				writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Host player disabled.")
				writeToLog("Host player disabled.")
				dedi = readUInt16(FIRST_STATIC_PLAYER_ADDRESS + TEAM_INDEX_OFFSET) + 1
				if SV_HOST_GLITCH == 0:
					writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + TEAM_INDEX_OFFSET,random.randint(1000,10000))
				else:
					writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + TEAM_INDEX_OFFSET,422)
				writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * 0+30+0xAA,500)		
				writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * 0+38+0xAA,500)
			else:
				if dedi > 65535: dedi = 65535
				writeInt16(FIRST_STATIC_PLAYER_ADDRESS + TEAM_INDEX_OFFSET,dedi - 1)
				writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Host player enabled.")
				writeToLog("Host player enabled.")
				writeUInt8(FIRST_STATIC_PLAYER_ADDRESS + PLAYER_IS_DEAD_OFFSET,0)
				writeInt16(FIRST_STATIC_PLAYER_ADDRESS + TEAM_INDEX_OFFSET,dedi - 1)
				dedi = 0
		if (theChatMessage[sizeOfHostName + 2:sizeOfHostName + 10] == "sv_kill "):
			try:
				playerObjectID = readUInt16(FIRST_STATIC_PLAYER_ADDRESS + PLAYER_OBJECT_ID_OFFSET + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 10:]) - 1))
				if int(theChatMessage[sizeOfHostName + 10:]) > 16 or int(theChatMessage[sizeOfHostName + 10:]) < 1:
					writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Invalid player. Argument is not between 1 and 16.")
				else:
					writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 10:]) - 1)+30+0xAA,500)		
					writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 10:]) - 1)+38+0xAA,500)				
					writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Killing " + readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 10:]) - 1)) + "...")
							
			except:
				writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Invalid player. Argument is not an integer.")
		if (theChatMessage[sizeOfHostName + 2:sizeOfHostName + 11] == "sv_admin "):
			try:
				if int(theChatMessage[sizeOfHostName + 11:]) > 16 or int(theChatMessage[sizeOfHostName + 11:]) < 2:
					writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Invalid player. Argument is not between 2 and 16.")
				else:
					if readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 11:]) - 1)) in admins:
						admins.remove(readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 11:]) - 1)))
						writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 11:]) - 1)) + " can no longer use Assassin on this server.")
					else:
						admins.append(readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 11:]) - 1)))
						writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 11:]) - 1)) + " can now use Assassin on this server.")
			except:
				writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Error")	
		if (theChatMessage[sizeOfHostName + 2:sizeOfHostName + 10] == "sv_time "):
			try:
				if theChatMessage[sizeOfHostName + 12:sizeOfHostName + 13] == " ":
					assistList[int(theChatMessage[sizeOfHostName + 10:sizeOfHostName + 12]) - 1] = int(theChatMessage[sizeOfHostName + 13:])
					if assistList[int(theChatMessage[sizeOfHostName + 10:sizeOfHostName + 12]) - 1] > 2*2*2*2*2*2*2*2*2*2*2*2*2*2*2:
						assistList[int(theChatMessage[sizeOfHostName + 10:sizeOfHostName + 12]) - 1] = 2*2*2*2*2*2*2*2*2*2*2*2*2*2*2
					writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 10:sizeOfHostName + 12]) - 1)) + " will die in " + str(assistList[int(theChatMessage[sizeOfHostName + 10:sizeOfHostName + 12]) - 1]) + " seconds.")
					writeToLog(readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 10:sizeOfHostName + 12]) - 1)) + " will die in " + str(theChatMessage[sizeOfHostName + 13:]) + " seconds.")
				if theChatMessage[sizeOfHostName + 11:sizeOfHostName + 12] == " ":
					assistList[int(theChatMessage[sizeOfHostName + 10]) - 1] = int(theChatMessage[sizeOfHostName + 12:])
					if assistList[int(theChatMessage[sizeOfHostName + 10]) - 1] > 2*2*2*2*2*2*2*2*2*2*2*2*2*2*2:
						assistList[int(theChatMessage[sizeOfHostName + 10]) - 1] = 2*2*2*2*2*2*2*2*2*2*2*2*2*2*2
					writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 10]) - 1)) + " will die in " + str(assistList[int(theChatMessage[sizeOfHostName + 10]) - 1]) + " seconds.")
					writeToLog(readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 10]) - 1)) + " will die in " + str(assistList[int(theChatMessage[sizeOfHostName + 10]) - 1]) + " seconds.")
				
							
			except:
				writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Error.")
		if (theChatMessage[sizeOfHostName + 2:sizeOfHostName + 10+2] == "sv_switch "):
			try:
				if theChatMessage[sizeOfHostName + 12+2:sizeOfHostName + 13+2] == " ":
					writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 10+2:sizeOfHostName + 12+2]) - 1)) + " will switch teams.")
					writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 10+2:sizeOfHostName + 12+2]) - 1)+30+0xAA,500)		
					writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 10+2:sizeOfHostName + 12+2]) - 1)+38+0xAA,500)			
					if int(theChatMessage[sizeOfHostName + 11+2+2:]) > 2*2*2*2*2*2*2*2*2*2*2*2*2*2*2:
						writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 10+2:sizeOfHostName + 12+2]) - 1) + TEAM_INDEX_OFFSET,2*2*2*2*2*2*2*2*2*2*2*2*2*2*2)
					else:	
						writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 10+2:sizeOfHostName + 12+2]) - 1) + TEAM_INDEX_OFFSET,int(theChatMessage[sizeOfHostName + 11+2+2:]))
					writeToLog(readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 10+2:sizeOfHostName + 12+2]) - 1)) + " will switch teams.")
				if theChatMessage[sizeOfHostName + 11+2:sizeOfHostName + 12+2] == " ":
					writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 10+2]) - 1)) + " will switch teams.")
					writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 10+2]) - 1)+30+0xAA,500)		
					writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 10+2]) - 1)+38+0xAA,500)			
					if int(theChatMessage[sizeOfHostName + 10+2+2:]) > 2*2*2*2*2*2*2*2*2*2*2*2*2*2*2:
						writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 10+2]) - 1) + TEAM_INDEX_OFFSET,2*2*2*2*2*2*2*2*2*2*2*2*2*2*2)
					else:	
						writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 10+2]) - 1) + TEAM_INDEX_OFFSET,int(theChatMessage[sizeOfHostName + 10+2+2:]))
					writeToLog(readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 10+2]) - 1)) + " will switch teams.")
				
							
			except:
				writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Error.")
		if (theChatMessage[sizeOfHostName + 2:sizeOfHostName + 11] == "sv_spawn "):
			try:
				if int(theChatMessage[sizeOfHostName + 11:]) > 16 or int(theChatMessage[sizeOfHostName + 11:]) < 1:
					writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Invalid player. Argument is not between 1 and 16.")
				else:
					writeUInt8(FIRST_STATIC_PLAYER_ADDRESS + PLAYER_IS_DEAD_OFFSET + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 11:]) - 1),0)
					writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Spawning " + readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 11:]) - 1)) + "...")
					writeToLog("Spawning " + readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 10:]) - 1)) + "...")
			except:
				writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Invalid player. Argument is not an integer.")
		if (theChatMessage[sizeOfHostName + 2:sizeOfHostName + 9] == "sv_pwn "):
			try:
				if int(theChatMessage[sizeOfHostName + 9:]) > 16 or int(theChatMessage[sizeOfHostName + 9:]) < 0:
					writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Invalid player. Argument is not between 0 and 16.")
				else:
					if (int(theChatMessage[sizeOfHostName + 9:])) == 0:
						if torture == -1:
							writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Nobody is being pwned.")
						else:
							writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * torture) + " will no longer be pwned.")
							writeToLog(readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * torture) + " will no longer be pwned.")
							torture = -1
					else:
						torture = (int(theChatMessage[sizeOfHostName + 9:]) - 1)
						writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Repeatedly killing " + readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 9:]) - 1)) + "...")
						writeToLog("Repeatedly killing " + readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 9:]) - 1)) + "...")
			except:
					writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Invalid player. Argument is not an integer.")
		if (theChatMessage[sizeOfHostName + 2:sizeOfHostName + 10] == "sv_nuke "):
			try:
				if int(theChatMessage[sizeOfHostName + 10:]) < 0:
					writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Timer is less than zero.")
				else:
					if (int(theChatMessage[sizeOfHostName + 10:])) == 1:
						nukeTimer = 1
						writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"All players will die in one second.")
					else:
						if (int(theChatMessage[sizeOfHostName + 10:])) == 0 and nukeTimer > EXECUTION_TIME_INTERVAL * -1:
							writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Nuke Cancelled.")
							nukeTimer = -1
						else:
							nukeTimer = int(theChatMessage[sizeOfHostName + 10:])
							if nukeTimer > 2*2*2*2*2*2*2*2*2*2*2*2*2*2*2:
								nukeTimer = 2*2*2*2*2*2*2*2*2*2*2*2*2*2*2
							writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"All players will die in " + str(nukeTimer) + " seconds.")
							writeToLog("All players will die in " + str(nukeTimer) + " seconds.")
			except:
				writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Error")
		else:
			if (theChatMessage[sizeOfHostName + 2:sizeOfHostName + 9] == "sv_nuke"):
				nukeTimer = 0
				writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"All players will die NOW!")
		if (theChatMessage[sizeOfHostName + 2:sizeOfHostName + 11] == "sv_check "):
			try:
				if int(theChatMessage[sizeOfHostName + 11:]) > 16 or int(theChatMessage[sizeOfHostName + 11:]) < 1:
					writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Invalid player. Argument is not between 1 and 16.")
				else:
					playerObjectID = readUInt16(FIRST_STATIC_PLAYER_ADDRESS + PLAYER_OBJECT_ID_OFFSET + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 11:]) - 1))
					if torture == int(theChatMessage[sizeOfHostName + 11:]) - 1:
						writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,readUTF16String(FIRST_STATIC_PLAYER_ADDRESS + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 11:]) - 1)) + " is being pwned. Countdown Timer: " + str(int(float(readUInt16(FIRST_STATIC_PLAYER_ADDRESS + RESPAWN_TIME_OFFSET + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 11:]) - 1)))/30)))
					else:
						if playerObjectID != 0 and playerObjectID != INVALID_PLAYER_OBJECT_ID:
							writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Alive. Countdown timer: " + str(int(float(readUInt16(FIRST_STATIC_PLAYER_ADDRESS + RESPAWN_TIME_OFFSET + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 11:]) - 1)))/30)) + " Team: " + str(int(readUInt16(FIRST_STATIC_PLAYER_ADDRESS + TEAM_INDEX_OFFSET + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 11:]) - 1)))))
						else:
							writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Dead. Countdown timer: " + str(int(float(readUInt16(FIRST_STATIC_PLAYER_ADDRESS + RESPAWN_TIME_OFFSET + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 11:]) - 1)))/30)) + " Team: " + str(int(readUInt16(FIRST_STATIC_PLAYER_ADDRESS + TEAM_INDEX_OFFSET + STATIC_PLAYER_SIZE * (int(theChatMessage[sizeOfHostName + 11:]) - 1)))))
						
			except:
				writeUTF16String(MOST_RECENT_MESSAGE_ADDRESS,"Invalid player. Argument is not an integer.")
	
		
		
	reloadPlayerList(admins)			
		
def finish(timeElapsed, forcedShutDown):
	if dedi - 1 >= 0:
		writeToLog("Host player enabled.")
		writeUInt16(FIRST_STATIC_PLAYER_ADDRESS + TEAM_INDEX_OFFSET,dedi - 1)
		writeUInt8(FIRST_STATIC_PLAYER_ADDRESS + PLAYER_IS_DEAD_OFFSET,0)
		writeUInt16(FIRST_STATIC_PLAYER_ADDRESS+30+0xAA,0)		
		writeUInt16(FIRST_STATIC_PLAYER_ADDRESS+38+0xAA,0)	